Bug 965562 - Coverity run on glusterfs-3.4.0.8rhs-1 finds 879 defects - Triage defects related to programming guidelines
Coverity run on glusterfs-3.4.0.8rhs-1 finds 879 defects - Triage defects rel...
Status: CLOSED DEFERRED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.1
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
raghav
:
Depends On:
Blocks: 963721
  Show dependency treegraph
 
Reported: 2013-05-21 07:05 EDT by raghav
Modified: 2014-05-06 07:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 963721
Environment:
Last Closed: 2014-05-06 07:48:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 raghav 2013-05-21 07:13:12 EDT
Look at the defects related to proper programming guidelines which includes error checking, locking, incorrect expressions, API usage, code maintenance and modularity issues.

32 CHECKED_RETURN

4 CONSTANT_EXPRESSION_RESULT

1 COPY_PASTE_ERROR

114 DEADCODE

5 LOCK

9 MISSING_BREAK

18 MISSING_LOCK

2 PW.ASSIGN_WHERE_COMPARE_MEANT

4 PW.BRANCH_PAST_INITIALIZATION

32 PW.INCLUDE_RECURSION

7 STACK_USE

10 VARARGS

3 UNUSED_VALUE
Comment 3 Vivek Agarwal 2014-04-07 07:40:29 EDT
Per bug triage, between dev, PM and QA, moving these out of denali
Comment 4 Nagaprasad Sathyanarayana 2014-05-06 06:35:02 EDT
BZs not targeted for Denali.
Comment 5 Lalatendu Mohanty 2014-05-06 07:48:57 EDT
New bugs(mentioned below) covers current high impact coverity issues i.e. 81 Coverity issues in 3 areas
i.e. illegal memory access, memory corruptions and resource/memory leaks. Hence closing the old bugs (which are not relevant as of now) for same issues.

https://bugzilla.redhat.com/show_bug.cgi?id=1093695
https://bugzilla.redhat.com/show_bug.cgi?id=1093696
https://bugzilla.redhat.com/show_bug.cgi?id=1093698

Note You need to log in before you can comment on or make changes to this bug.